View Single Post
Old 10-10-11, 07:53 AM   #49
Gusar
Registered User
 
Join Date: Apr 2006
Posts: 277
Default Re: 285.03: X Server 1.11.0 IgnoreABI required to work

Quote:
Originally Posted by obiwahnn View Post
And now the only reason for picking NVIDIA "working x11 driver - no matter what" is not valid anymore.
Emm, exaggerate much? We're going through the same dance every time X bumps ABI. And nvidia is quick to provide updated drivers (well ok, not for legacy branches). But the issue is in X this time, not in the driver (it can be worked around in the driver though), and it doesn't even effect all cards.

Arch handles this very well. They've kept xorg-server-1.11 in the testing branch, waiting for a nvidia driver. And now they've applied the patch to X, so that all nvidia cards will work fine, and xorg-server-1.11 will move out of testing today or tomorrow.
Gusar is offline   Reply With Quote